## spice 0.11.0

=== debian/changelog ===
spice (0.11.0-1+deb7u2) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add series of patches for CVE-2015-5260 and CVE-2015-6261.
    CVE-2015-5260: insufficient validation of surface_id parameter can cause
    crash. (Closes: #801089)
    CVE-2015-5261: host memory access from guest using crafted images.
    (Closes: #801091)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 08 Oct 2015 17:41:09 +0200

spice (0.11.0-1+deb7u1) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add CVE-2013-4130.patch patch.
    CVE-2013-4130: unsafe clients ring access abort. An user able to
    initiate spice connection to the guest could use this flaw to crash the
    guest. (Closes: #717030)
  * Add CVE-2013-4282.patch patch.
    CVE-2013-4282: Fix buffer overflow when decrypting client SPICE ticket.
    A remote user able to initiate a SPICE connection to an application
    acting as a SPICE server could use this flaw to crash the application.
    (Closes: #728314)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 03 Jan 2014 17:52:06 +0100

spice (0.11.0-1) unstable; urgency=low

  * New upstream release
  * Breaks spice-gtk (<= 0.12-2)
  * Refresh debian/libspice-server1.symbols
  * debian/control:
    - Update my e-mail address
    - Add python-pyparsing to Build-Depends
  * debian/patches:
    - Remove fix-error-path-return-in-snd_set_record_peer.patch, 
      applied upstream
    - Refresh make-celt-to-be-optional.patch
    - Refresh link-libspice-server-with-libm-libpthread.patch
  * Simplify debian/rules, celt removed, no reason to use 
    traditional one
  * Disable smartcard, not in debian yet
  * Refresh debian/copyright

 -- Liang Guo <guoliang@debian.org>  Sat, 09 Jun 2012 11:33:05 +0800

spice (0.10.1-3~nocelt) experimental; urgency=low

  * Applying for co-maintenance, adding myself to Uploaders (Closes: #671627)
  * Bump Standards-Version to 3.9.3 (no changes)
  * link-libspice-server-with-libm-libpthread.patch - missing libraries
  * Enable multiarch for libspice-server, bump debhelper compat to 9
  * do not require root in clean target
  * build-depend on dh-autoreconf and python to be able to run autoreconf
    and python code generator
  * use dh_autoreconf, do not ship debian/source/options anymore
  * consolidate clean target in debian/rules
  * 2 patches:
    - fix-error-path-return-in-snd_set_record_peer.patch (from upstream git),
      which is a pre-requisite for the next patch, and
    - make-celt-to-be-optional.patch (sent to upstream).
    This makes it possible to build spice without celt.
  * Disable celt051 usage.

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 02 Jun 2012 16:18:56 +0400
