=== debian/control ===
Source: spice
Section: misc
Priority: optional
Maintainer: Liang Guo <guoliang@debian.org>
Uploaders: Michael Tokarev <mjt@tls.msk.ru>
Build-Depends: debhelper (>= 9), pkg-config,
 dh-autoreconf, python,
 libspice-protocol-dev (>= 0.10.1~),
 libpixman-1-dev (>= 0.17.7~),
 libxrandr-dev (>= 1.2~),
 libasound2-dev,
 libssl-dev,
 libxfixes-dev,
 libglu1-mesa-dev,
 libgl1-mesa-dev,
 libsasl2-dev,
 libjpeg-dev,
 libxinerama-dev,
 libogg-dev,
 python-pyparsing,
Standards-Version: 3.9.3
Homepage: http://spice-space.org/
Vcs-Git: git://git.debian.org/collab-maint/spice.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/spice.git;a=summary

Package: spice-client
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Implements the client side of the SPICE protocol
 The Simple Protocol for Independent Computing Environments (SPICE) is
 a remote display system built for virtual environments which allows
 you to view a computing 'desktop' environment not only on the machine
 where it is running, but from anywhere on the Internet and from a wide
 variety of machine architectures.
 .
 This package contains the SPICE client application.

Package: libspice-server1
Section: libs
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: spice-client-gtk (<= 0.12-2), python-spice-client-gtk (<= 0.12-2), 
 libspice-client-glib-2.0-1 (<= 0.12-2), libspice-client-gtk-2.0-1 (<= 0.12-2), 
 libspice-client-gtk-3.0-1 (<= 0.12-2)
Description: Implements the server side of the SPICE protocol
 The Simple Protocol for Independent Computing Environments (SPICE) is
 a remote display system built for virtual environments which allows
 you to view a computing 'desktop' environment not only on the machine
 where it is running, but from anywhere on the Internet and from a wide
 variety of machine architectures.
 .
 This package contains the run-time libraries for any application that 
 wishes to be a SPICE server.

Package: libspice-server-dev
Section: libdevel
Architecture: i386 amd64
Depends: libspice-server1 (= ${binary:Version}), ${misc:Depends}, libpixman-1-dev (>= 0.17.7~), libssl-dev, libxinerama-dev
Suggests: pkg-config
Description: Header files and development documentation for spice-server
 The Simple Protocol for Independent Computing Environments (SPICE) is
 a remote display system built for virtual environments which allows
 you to view a computing 'desktop' environment not only on the machine
 where it is running, but from anywhere on the Internet and from a wide
 variety of machine architectures.
 .
 This package contains the header files, static libraries and development
 documentation for spice-server.
