## spice 0.12.0

=== debian/changelog ===
spice (0.12.0-0ubuntu1) quantal; urgency=low

  * New upstream release 0.12.0. (LP: #1056381)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 25 Sep 2012 15:48:21 -0500
