## spice 0.12.2

=== debian/changelog ===
spice (0.12.2-0nocelt2expubuntu1) raring; urgency=low

  * Link server tests with -lm.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Apr 2013 09:29:32 +0200

spice (0.12.2-0nocelt2exp) experimental; urgency=low

  * added two patches from Serge Hallyn to fix numerous compiler warnings:
     fix-build-warning-PIXEL.patch
     fix-tests-warnings.patch
  * spice-common-remove-version-construction.patch - to stop spice-common
    from produce a ton of `build-aux/git-version-gen: not found' errors
    during autoreconf.

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 11 Feb 2013 23:29:11 +0400

spice (0.12.2-0nocelt1exp) experimental; urgency=low

  * New upstream release
  * debian/patches:
     - Refresh link-libspice-server-with-libm-libpthread.patch
  * Refresh debian/cpyright, new files added
  * Build client, upstream don't build client by default
  * Refresh libspice-server1.symbols
  * Add libglib2.0-dev to Build-Depends

  [ Michael Tokarev ]
  * refresh make-celt-to-be-optional.patch (minor context diff)
  * do not build-depend on libspice-protocol-dev
    (upstream always uses included copy)
  * add (versioned) dependency on libspice-protocol-dev to libspice-server-dev
    package, since when the latter is installed, embedded protocol headers
    are not installed
  * do not build-depend on mesa libs (OpenGL is not enabled by default
    and is not recommended by upstream)
  * do not build-depend on libogg-dev
  * configure with --disable-silent-rules, so that the compiler command
    line is visible (this fixes the lintian warnings about hardening flags)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 17 Jan 2013 19:19:30 +0400
