=== debian/control ===
--- 
+++ 
@@ -1,24 +1,26 @@
 Source: spice
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Liang Guo <guoliang@debian.org>
+Maintainer: Liang Guo <guoliang@debian.org>
 Uploaders: Michael Tokarev <mjt@tls.msk.ru>
 Build-Depends: debhelper (>= 9), pkg-config,
  dh-autoreconf, python,
- libspice-protocol-dev (>= 0.10.1~),
+# libspice-protocol is actually not needed for build,
+# 0.12 always uses included definitions
+# libspice-protocol-dev (>= 0.10.1~),
  libpixman-1-dev (>= 0.17.7~),
  libxrandr-dev (>= 1.2~),
  libasound2-dev,
  libssl-dev,
  libxfixes-dev,
- libglu1-mesa-dev,
- libgl1-mesa-dev,
+# these might be required for opengl support
+# which has to be enabled explicitly and is not recommended
+# libglu1-mesa-dev, libgl1-mesa-dev,
  libsasl2-dev,
  libjpeg-dev,
  libxinerama-dev,
- libogg-dev,
  python-pyparsing,
+ libglib2.0-dev,
 Standards-Version: 3.9.3
 Homepage: http://spice-space.org/
 Vcs-Git: git://git.debian.org/collab-maint/spice.git
@@ -58,7 +60,7 @@
 Package: libspice-server-dev
 Section: libdevel
 Architecture: i386 amd64
-Depends: libspice-server1 (= ${binary:Version}), ${misc:Depends}, libpixman-1-dev (>= 0.17.7~), libssl-dev, libxinerama-dev
+Depends: libspice-server1 (= ${binary:Version}), ${misc:Depends}, libpixman-1-dev (>= 0.17.7~), libssl-dev, libxinerama-dev, libspice-protocol-dev (>= 0.12.0~)
 Suggests: pkg-config
 Description: Header files and development documentation for spice-server
  The Simple Protocol for Independent Computing Environments (SPICE) is
