## spice 0.12.4

=== debian/changelog ===
spice (0.12.4-0nocelt2~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 06 Dec 2013 01:49:51 +0400

spice (0.12.4-0nocelt2) unstable; urgency=high

  * Fix CVE-2013-4282 (Closes: #728314)

 -- Liang Guo <guoliang@debian.org>  Thu, 07 Nov 2013 22:44:29 +0800

spice (0.12.4-0nocelt1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches
    - add enable_subdir-objects.patch (Closes: #724093)

 -- Hideki Yamane <henrich@debian.org>  Mon, 21 Oct 2013 12:27:35 +0900

spice (0.12.4-0nocelt1) unstable; urgency=low

  * New upstream release (Closes: #717030)
  * Remove .version after build (Closes: #671627)
  * debian/control:
    - Bump Standards-Version to 3.9.4 (no changes)
    - Update VCS-* to use canonical URIs
  * debian/patches:
    - fix-tests-warnings.patch, refresh
    - link-server-test-with-libm-libpthread.patch, add (Closes: #713681)
  * Refresh libspice-server1.symbols
  
 -- Liang Guo <guoliang@debian.org>  Thu, 25 Jul 2013 00:10:00 +0800
  

spice (0.12.3-0nocelt1) unstable; urgency=low

  * New upstream release
  * debian/patches:
    - fix-build-warning-PIXEL.patch, remove, applied upstream
    - link-libspice-server-with-libm-libpthread.patch, remove,
      applied upstream
    - spice-common-remove-version-construction.patch, remove,
      applied upstream
    - fix-tests-warnings.patch, refresh
    - make-celt-to-be-optional.patch, refresh
  * libspice-server-dev should depends on libglib2.0-dev, or 
    qxl driver compile will fail. 
  * Refresh libspice-server1.symbols

 -- Liang Guo <guoliang@debian.org>  Sun, 19 May 2013 11:10:10 +0800

spice (0.12.2-0nocelt3) unstable; urgency=low

  * Upload to unstable

 -- Liang Guo <guoliang@debian.org>  Fri, 10 May 2013 09:10:16 +0800
