=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@  --with autoreconf
override_dh_auto_configure:
	dh_auto_configure --  --disable-celt051 --disable-silent-rules \
		--disable-smartcard --enable-client
override_dh_auto_clean:
	-$(RM) .version
	dh_auto_clean
