## spice 0.12.5

=== debian/changelog ===
spice (0.12.5-1.1ubuntu2.1) wily-security; urgency=medium

  * SECURITY UPDATE: denial of service and possible code execution via
    memory allocation flaw in smartcard interaction
    - debian/patches/CVE-2016-0749/*.patch: add a ref to item and allocate
      msg with the expected size in server/smartcard.c.
    - CVE-2016-0749
  * SECURITY UPDATE: host memory access from guest with invalid primary
    surface parameters
    - debian/patches/CVE-2016-2150/*.patch: create a function to validate
      surface parameters in server/red_parse_qxl.*, improve primary surface
      parameter checks in server/red_worker.c.
    - CVE-2016-2150
  * Added two extra commits to previous security update:
    - 0001-worker-validate-correctly-surfaces.patch
    - 0002-worker-avoid-double-free-or-double-create-of-surface.patch

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 10 Jun 2016 10:54:26 -0400

spice (0.12.5-1.1ubuntu2) wily; urgency=medium

  * SECURITY UPDATE: multiple security issues
    - debian/patches/CVE-2015-526x/*.patch: apply series of patches from
      Red Hat to fix overflows, race conditions, memory leaks and denial of
      service issues.
    - CVE-2015-5260
    - CVE-2015-5261

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 19 Oct 2015 12:29:46 -0400

spice (0.12.5-1.1ubuntu1) wily; urgency=medium

  * SECURITY UPDATE: heap corruption via monitor configs
    - debian/patches/CVE-2015-3247.patch: only read count once in
      server/red_worker.c.
    - CVE-2015-3247

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 08 Sep 2015 07:58:48 -0400

spice (0.12.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Enable smartcard support now that libcacard is in the archive (Closes:
    #786833)

 -- Laurent Bigonville <bigon@debian.org>  Fri, 14 Aug 2015 09:29:41 +0200

spice (0.12.5-1) unstable; urgency=medium

  * new upstream release.  Can now build without celt!
  * Dropped patches:
    - make-celt-to-be-optional.patch
    - link-server-test-with-libm-libpthread.patch
    - enable_subdir-objects.patch
    - fix-buffer-overflow-when-decrypting-client-spice-ticket.patch
  * build-depend on libopus-dev, which enables opus support
    (no --enable-opus configure flag for now)
  * do not remove .version in clean anymore (it is part of the tarball)
  * do not use dh_autoreconf, since we aren't changing autoconf anymore
  * update libspice-server1.symbols with new symbols
  * introduce libspice-server1-dbg package (Closes: #743850)
  * fix the vcs-browse url (Closes: #722241)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 23 May 2014 19:26:44 +0400
