=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: spice
 Section: misc
 Priority: optional
-Maintainer: Liang Guo <guoliang@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Liang Guo <guoliang@debian.org>
 Uploaders: Michael Tokarev <mjt@tls.msk.ru>
 Build-Depends: debhelper (>= 9), pkg-config,
- dh-autoreconf, python,
+ python,
 # libspice-protocol is actually not needed for build,
 # 0.12 always uses included definitions
 # libspice-protocol-dev (>= 0.10.1~),
+ libopus-dev (>= 0.9.14),
  libpixman-1-dev (>= 0.17.7~),
  libxrandr-dev (>= 1.2~),
  libasound2-dev,
@@ -20,11 +22,12 @@
  libjpeg-dev,
  libxinerama-dev,
  python-pyparsing,
- libglib2.0-dev,
-Standards-Version: 3.9.3
+ libglib2.0-dev (>= 2.22~),
+ libcacard-dev (>= 0.1.2),
+Standards-Version: 3.9.4
 Homepage: http://spice-space.org/
-Vcs-Git: git://git.debian.org/collab-maint/spice.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/spice.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/spice.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/spice.git
 
 Package: spice-client
 Architecture: i386 amd64
@@ -57,10 +60,27 @@
  This package contains the run-time libraries for any application that 
  wishes to be a SPICE server.
 
+Package: libspice-server1-dbg
+Section: debug
+Architecture: i386 amd64
+Priority: extra
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: libspice-server1 (= ${binary:Version}), ${misc:Depends}
+Description: Debugging symbols for libspice-server1
+ The Simple Protocol for Independent Computing Environments (SPICE) is
+ a remote display system built for virtual environments which allows
+ you to view a computing 'desktop' environment not only on the machine
+ where it is running, but from anywhere on the Internet and from a wide
+ variety of machine architectures.
+ .
+ This package contains the debugging symbols for the libspice-server1
+ library.
+
 Package: libspice-server-dev
 Section: libdevel
 Architecture: i386 amd64
-Depends: libspice-server1 (= ${binary:Version}), ${misc:Depends}, libpixman-1-dev (>= 0.17.7~), libssl-dev, libxinerama-dev, libspice-protocol-dev (>= 0.12.0~)
+Depends: libspice-server1 (= ${binary:Version}), ${misc:Depends}, libglib2.0-dev (>= 2.22~), libpixman-1-dev (>= 0.17.7~), libssl-dev, libxinerama-dev, libspice-protocol-dev (>= 0.12.0~), libcacard-dev (>= 0.1.2)
 Suggests: pkg-config
 Description: Header files and development documentation for spice-server
  The Simple Protocol for Independent Computing Environments (SPICE) is
