## spice 0.12.6

=== debian/changelog ===
spice (0.12.6-4ubuntu0.5) xenial-security; urgency=medium

  * SECURITY UPDATE: multiple buffer overflows in QUIC image decoding
    - debian/patches/CVE-2020-14355-1.patch: check we have some data to
      start decoding quic image in spice-common/common/quic.c.
    - debian/patches/CVE-2020-14355-2.patch: check image size in
      quic_decode_begin in spice-common/common/quic.c.
    - debian/patches/CVE-2020-14355-3.patch: check RLE lengths in
      spice-common/common/quic_tmpl.c.
    - debian/patches/CVE-2020-14355-4.patch: avoid possible buffer overflow
      in find_bucket in spice-common/common/quic_family_tmpl.c.
    - CVE-2020-14355

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 01 Oct 2020 07:15:42 -0400

spice (0.12.6-4ubuntu0.4) xenial-security; urgency=medium

  * SECURITY UPDATE: off-by-one error in memslot_get_virt
    - debian/patches/CVE-2019-3813.patch: fix checks in
      server/red_memslots.c.
    - CVE-2019-3813

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 24 Jan 2019 09:45:07 -0500

spice (0.12.6-4ubuntu0.3) xenial-security; urgency=medium

  * SECURITY UPDATE: buffer overflow via invalid monitor configurations
    - debian/patches/CVE-2017-7506-1.patch: disconnect when receiving
      overly big ClientMonitorsConfig in server/reds.c.
    - debian/patches/CVE-2017-7506-2.patch: avoid integer overflows
      handling monitor configuration in server/reds.c.
    - debian/patches/CVE-2017-7506-3.patch: avoid buffer overflows handling
      monitor configuration in server/reds.c.
    - CVE-2017-7506

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 18 Jul 2017 13:34:33 -0400

spice (0.12.6-4ubuntu0.2) xenial-security; urgency=medium

  * SECURITY UPDATE: overflow when reading large messages
    - debian/patches/CVE-2016-9577.patch: check size in
      server/main_channel.c.
    - CVE-2016-9577
  * SECURITY UPDATE: DoS via crafted message
    - debian/patches/CVE-2016-9578-1.patch: limit size in server/reds.c.
    - debian/patches/CVE-2016-9578-2.patch: limit caps in server/reds.c.
    - CVE-2016-9578

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 15 Feb 2017 14:02:33 -0500

spice (0.12.6-4ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: denial of service and possible code execution via
    memory allocation flaw in smartcard interaction
    - debian/patches/CVE-2016-0749/*.patch: add a ref to item and allocate
      msg with the expected size in server/smartcard.c.
    - CVE-2016-0749
  * SECURITY UPDATE: host memory access from guest with invalid primary
    surface parameters
    - debian/patches/CVE-2016-2150/*.patch: create a function to validate
      surface parameters in server/red_parse_qxl.*, improve primary surface
      parameter checks in server/red_worker.c.
    - CVE-2016-2150

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 10 Jun 2016 10:12:39 -0400

spice (0.12.6-4) unstable; urgency=medium

  * stop depending libspice-server-dev on libcacard-dev (#802413).
    Instead, remove mention of libcacard from the .pc file, as it
    is not actually used when building with libspice-server.
  * remove Requires.private defs from .pc file -- we're not building static
    libs, but if Requires.private is present, pkg-config requires the other
    .pc files to be present too, which is wrong (Closes: #803926)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 06 Nov 2015 10:43:55 +0300

spice (0.12.6-3) unstable; urgency=medium

  * update Standards-Version to 3.9.6 (no changes)
  * add libcacard-dev to libspice-server-dev dependencies
    (Closes: #802413)

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 20 Oct 2015 10:08:46 +0300

spice (0.12.6-2) unstable; urgency=medium

  * stop linking with libcacard as no symbols from it are
    actually used
  * use dh-autoreconf since we're modifying automake files again

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 09 Oct 2015 01:14:03 +0300

spice (0.12.6-1) unstable; urgency=medium

  * Acknowledge previous NMUs. Thank you Salvatore and Laurent!
  * new upstream release (0.12.6), removed all patches (applied upstream)
  * add libspice-protocol-dev to build-deps, it is actually used
    since this version (instead of internal version)
  * remove libxinerama from build-deps and deps of libspice-server-dev
    (#658173 fixed upstream)
  * remove libcacard-dev from libspice-server1-dev deps (it is not
    actually used by the server) and remove version from libcacard
    build-dep (any version ever seen in debian will do)
    TODO: stop linking with libcacard0 too, as libspice-server does
    not actually use any of its symbols
  * stop building spice-client, since upstream dropped it
    (Closes: #749331 #704229 #641772 #715179).
    Remove libxrandr-dev, libxfixes-dev, and mentions of mesa from build-deps.
  * update libspice-server1.symbols file with new symbols.
    Note: one symbol has been removed in this release,
    spice_server_migrate_client_state@SPICE_SERVER_0.6.0 (from 0.8.2),
    but it looks like it was exported by mistake and has never been
    a public API, so we wont make new library package
  * enable parallel build (dch --parallel)
  * add python-six to build-deps, needed for code generation
    (marshallers/demarshallers)
  * remove libxinerama-dev, libssl-dev and libglib2.0-dev deps from
    libspice-server-dev package, since spice headers does not include
    these anymore, and the libs will be satisfied from the shared library
  * remove spice-protocol refs from d/copyright
  * remove double LGPL-2.1+ license text from d/copyright

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 09 Oct 2015 00:00:34 +0300

spice (0.12.5-1.3) unstable; urgency=high

  * Non-maintainer upload.
  * Add series of patches for CVE-2015-5260 and CVE-2015-5261.
    CVE-2015-5260: insufficient validation of surface_id parameter can cause
    crash. (Closes: #801089)
    CVE-2015-5261: host memory access from guest using crafted images.
    (Closes: #801091)


