=== debian/control ===
--- 
+++ 
@@ -5,41 +5,22 @@
 XSBC-Original-Maintainer: Liang Guo <guoliang@debian.org>
 Uploaders: Michael Tokarev <mjt@tls.msk.ru>
 Build-Depends: debhelper (>= 9), pkg-config,
- python,
-# libspice-protocol is actually not needed for build,
-# 0.12 always uses included definitions
-# libspice-protocol-dev (>= 0.10.1~),
+ dh-autoreconf,
+ python, python-six,
+ libspice-protocol-dev (>= 0.12.10~),
  libopus-dev (>= 0.9.14),
  libpixman-1-dev (>= 0.17.7~),
- libxrandr-dev (>= 1.2~),
  libasound2-dev,
  libssl-dev,
- libxfixes-dev,
-# these might be required for opengl support
-# which has to be enabled explicitly and is not recommended
-# libglu1-mesa-dev, libgl1-mesa-dev,
  libsasl2-dev,
  libjpeg-dev,
- libxinerama-dev,
  python-pyparsing,
  libglib2.0-dev (>= 2.22~),
- libcacard-dev (>= 0.1.2),
-Standards-Version: 3.9.4
+ libcacard-dev,
+Standards-Version: 3.9.6
 Homepage: http://spice-space.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/spice.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/spice.git
-
-Package: spice-client
-Architecture: i386 amd64
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Implements the client side of the SPICE protocol
- The Simple Protocol for Independent Computing Environments (SPICE) is
- a remote display system built for virtual environments which allows
- you to view a computing 'desktop' environment not only on the machine
- where it is running, but from anywhere on the Internet and from a wide
- variety of machine architectures.
- .
- This package contains the SPICE client application.
 
 Package: libspice-server1
 Section: libs
@@ -80,7 +61,7 @@
 Package: libspice-server-dev
 Section: libdevel
 Architecture: i386 amd64
-Depends: libspice-server1 (= ${binary:Version}), ${misc:Depends}, libglib2.0-dev (>= 2.22~), libpixman-1-dev (>= 0.17.7~), libssl-dev, libxinerama-dev, libspice-protocol-dev (>= 0.12.0~), libcacard-dev (>= 0.1.2)
+Depends: libspice-server1 (= ${binary:Version}), ${misc:Depends}, libspice-protocol-dev (>= 0.12.10~)
 Suggests: pkg-config
 Description: Header files and development documentation for spice-server
  The Simple Protocol for Independent Computing Environments (SPICE) is
