=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,13 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@
+	dh $@ --parallel --with autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure --  --disable-celt051 --disable-silent-rules \
-		--enable-smartcard --enable-client
+		--enable-smartcard
+# remove Requires.private defs from .pc file -- we're not building static libs
+	sed -i '/^Requires\.private:/D' spice-server.pc
 
 override_dh_strip:
 	dh_strip -plibspice-server1 --dbg-package=libspice-server1-dbg
