## spice 0.12.8

=== debian/changelog ===
spice (0.12.8-2.1+deb9u4) stretch-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * Add patch to fix multiple buffer overflow vulnerabilities.
    (Fixes: CVE-2020-14355) (Closes: #971750)

 -- Utkarsh Gupta <utkarsh@debian.org>  Sun, 01 Nov 2020 21:35:01 +0530

spice (0.12.8-2.1+deb9u3) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * memslot: Fix off-by-one error in group/slot boundary check (CVE-2019-3813)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 27 Jan 2019 17:28:58 +0100

spice (0.12.8-2.1+deb9u2) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix flexible array buffer overflow (CVE-2018-10873) (Closes: #906315)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 07 Oct 2018 08:51:43 +0200

spice (0.12.8-2.1+deb9u1) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2017-7506: Possible buffer overflow via invalid monitor configurations

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 04 Jul 2017 21:33:54 +0200

spice (0.12.8-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add CVE-2016-9577-and-CVE-2016-9578.patch:
    - CVE-2016-9577: A buffer overflow vulnerability in
      main_channel_alloc_msg_rcv_buf was found that occurs when reading large
      messages due to missing buffer size check.
    - CVE-2016-9578: A vulnerability was discovered in the server's
      protocol handling. An attacker able to connect to the spice server could
      send crafted messages which would cause the process to crash.
      (Closes: #854336)

 -- Markus Koschany <apo@debian.org>  Mon, 13 Feb 2017 21:42:01 +0100

spice (0.12.8-2) unstable; urgency=medium

  * Build on all little-endian architectures (Closes: #734218)
  * Drop -dbg package and rely on the automatically built one (-dbgsym)
  * Drop the libasound2-dev build-dependency, this was needed for the
    spice-client which is gone since 0.12.6-1

 -- Liang Guo <guoliang@debian.org>  Fri, 06 Jan 2017 21:50:55 +0800

spice (0.12.8-1) unstable; urgency=medium

  * New upstream release
  * Remove debian/patches/{CVE-2016-0749,CVE-2016-2150}, applied 
    Upstream

 -- Liang Guo <guoliang@debian.org>  Tue, 26 Jul 2016 11:06:19 +0800

spice (0.12.7-1) unstable; urgency=medium

  * New upstream release
  * Update debian/copyright
  * Refresh debian/patches
  * Static build is disabled, remove lib*.a from libspice-server-dev
  * Update Standards-Version to 3.9.8 (no changes)
  * Use secure uri in vcs-*

 -- Liang Guo <guoliang@debian.org>  Thu, 23 Jun 2016 14:09:24 +0800

spice (0.12.6-4.1) unstable; urgency=high

  * Non-maintainer upload.
  * CVE-2016-0749: heap-based buffer overflow in smartcard interaction
    (Closes: #826585)
  * CVE-2016-2150: host memory access from guest using crafted primary surface
    parameters (Closes: #826584)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 06 Jun 2016 19:22:10 +0200
