## spice 0.14.0

=== debian/changelog ===
spice (0.14.0-1.3+deb10u1) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * quic: Check we have some data to start decoding quic image
    (CVE-2020-14355)
  * quic: Check image size in quic_decode_begin (CVE-2020-14355)
  * quic: Check RLE lengths (CVE-2020-14355)
  * quic: Avoid possible buffer overflow in find_bucket (CVE-2020-14355)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 05 Oct 2020 09:31:09 +0200

spice (0.14.0-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * memslot: Fix off-by-one error in group/slot boundary check (CVE-2019-3813)
    (Closes: #920762)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 28 Jan 2019 13:04:44 +0100

spice (0.14.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * tests/pki: Use CA/certificate with 2048 bit RSA keys (Closes: #910634)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 11 Oct 2018 23:41:48 +0200

spice (0.14.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix flexible array buffer overflow (CVE-2018-10873) (Closes: #906315)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 15 Sep 2018 09:15:28 +0200

spice (0.14.0-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: refresh 
  * debian/control:
    - Add liborc-0.4-dev to Build-Depends
    - Update Build-Depends on debhelper to >= 10 
    - Remove dh-autoreconf from Build-Depends
    - Bump Standards-Version to 4.1.1 (no changes)
    - Use https in Homepage
  * debian/compat, bump to 10
  * debian/watch, switch to https

 -- Liang Guo <guoliang@debian.org>  Thu, 19 Oct 2017 14:35:54 +0800

spice (0.13.90-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Disable parallel building for the tests, this will hopefully
    fix FTBFS on some arch (Closes: #876266)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 20 Sep 2017 12:53:44 +0200

spice (0.13.90-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  [ Laurent Bigonville ]
  * New upstream release (Closes: #849569)
    - Adjust the build-dependencies
    - Drop d/p/CVE-2016-9577-and-CVE-2016-9578.patch,
      d/p/CVE-2017-7506-1.patch, d/p/CVE-2017-7506-2.patch,
      d/p/CVE-2017-7506-3.patch: All merged upstream
    - Drop debian/patches/fix-tests-warnings.patch, unused
    - debian/libspice-server1.symbols: Add newly exported symbols
  * debian/watch: Enable gpg key verification of the upstream tarball
  * debian/rules: Also remove the Libs.private defs from .pc file
  * debian/control: Bump Standards-Version to 4.1.0 (no further changes)
  * debian/rules: Drop override_dh_installdocs, this was only needed when we
    were building the -dbg package ourself
  * debian/control: Add liblz4-dev to the build-dependencies
  * debian/control: Add the needed gstreamer modules to the
    (build-)dependencies to enable gstreamer support
  * Run wrap-and-sort -ts

  [ Santiago Ruano Rincón ]
  * debian/tests/automated-tests: Intial DEP-8 test, using upstream automated
    test (Closes: #827027)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 22 Aug 2017 19:08:19 +0200

spice (0.12.8-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix CVE-2017-7506: (Closes: #868083)
    Possible buffer overflow via invalid monitor configurations.

 -- Markus Koschany <apo@debian.org>  Fri, 21 Jul 2017 23:34:38 +0200
