=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure --  --disable-celt051 --disable-silent-rules \
		--enable-smartcard
# remove Requires.private and Libs.private defs from .pc file -- we're not building static libs
	sed -E -i '/^(Libs|Requires)\.private:/D' spice-server.pc

override_dh_auto_test:
	dh_auto_test --no-parallel
