=== debian/tests/control ===
Tests: automated-tests
Depends: @, @builddeps@, spice-client-gtk
