=== debian/changelog ===
spice (0.14.2-4ubuntu3.1) focal-security; urgency=medium

  * SECURITY UPDATE: multiple buffer overflows in QUIC image decoding
    - debian/patches/CVE-2020-14355-1.patch: check we have some data to
      start decoding quic image in subprojects/spice-common/common/quic.c.
    - debian/patches/CVE-2020-14355-2.patch: check image size in
      quic_decode_begin in subprojects/spice-common/common/quic.c.
    - debian/patches/CVE-2020-14355-3.patch: check RLE lengths in
      subprojects/spice-common/common/quic_tmpl.c.
    - debian/patches/CVE-2020-14355-4.patch: avoid possible buffer overflow
      in find_bucket in subprojects/spice-common/common/quic_family_tmpl.c.
    - CVE-2020-14355

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 01 Oct 2020 07:03:54 -0400

spice (0.14.2-4ubuntu3) focal; urgency=medium

  * d/p/lp-1874054-*: fix rescaling and some crashes (LP: #1874054)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 21 Apr 2020 14:05:18 +0200

spice (0.14.2-4ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:26:08 +0100

spice (0.14.2-4ubuntu1) focal; urgency=medium

  * Merge with Debian unstable (LP: #1852439). Remaining changes:
    - d/control: Don't recommend -libav gstreamer plugins since it is in
      universe
    - make autopkgtests work again
      - d/t/automated-tests: spice-common moved into dir subprojects
      - d/t/automated-tests: option --enable-automated-tests now is always on
      - d/t/control: make tests more debuggable by allowing stderr
      - d/t/control: install new test dependency python-pil
      - d/t/regression-test.py, d/t/base_test.ppm: add file dropped in release
        tarball but needed for autopkgtests
      - d/source/include-binaries: allow binary base_test.ppm in package
  * Added changes:
    - d/t/automated-tests, d/t/control: make autopkgtests python3 compatible
  * Dropped Changes (in Debian):
    - d/control: Don't recommend -ugly gstreamer plugins since it is in universe
    - d/patches: drop patches being upstream in 0.14.2
    - new upstream 0.14.2
    - disable failing test-listen
    - d/libspice-server1.symbols: update for new symbols in 14.2
    - d/p/fix-test-qxl-parsing-on-ppc64el-and-armhf.patch: avoid FTBFS due to
      different handling of high words for constants
    - d/control: bump build dependency to libspice-protocol-dev >=0.14.0
  * Dropped Changes (Upstream)
    - SECURITY UPDATE: Integer overflow and buffer overflow CVE-2017-12194
    - SECURITY UPDATE: Denial of service CVE-2018-10873
    - SECURITY UPDATE: off-by-one error in memslot_get_virt CVE-2019-3813

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 13 Nov 2019 15:54:00 +0100

spice (0.14.2-4) unstable; urgency=medium

  * disable failing test-listen (Closes: #941006)
  * add fix-test-qxl-parsing-on-ppc64el-and-armhf.patch
  * stop using dh_autoreconf as we do not patch autoconf/automake anymore

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 01 Oct 2019 08:52:16 +0300

spice (0.14.2-3) unstable; urgency=medium

  * red-replay-qxl-fix-replay-on-32-bit-systems.patch
    hopefully fix the tests failure on arm* and ppc (FTBFS)
  * remove-compile-warnings-on-Linux-32bit-system.patch
    fix tons of compiler warnings on 32bit platforms

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 31 Aug 2019 21:20:40 +0300

spice (0.14.2-2) unstable; urgency=medium

  * set $XDG_RUNTIME_DIR instead of $HOME when running tests
    to avoid dconf cache failure (fix FTBFS on almost all buildds)
  * set GSTREAMER_1_0_LIBS and GLIB2_LIBS (trimmed) for configure
    to avoid linking with useless libs

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 30 Aug 2019 15:58:47 +0300

spice (0.14.2-1) unstable; urgency=medium

  * new upstream 0.14.2 release
  * remove all security patches (included upstream)
  * set maintainer to the QEMU team (Closes: #911427)
  * spice-protocol needs to be >= 0.14.0
  * require glib >= 2.38
  * do not disable celt051, it is not enabled by default anymore
  * explicitly enable optional features at configure time
    (gstreamer=1.0, sasl, lz4)
  * do not recommend but suggest gstreamer1.0-plugins-ugly
  * stop Break'ing very old spice-client packages
  * set $HOME when running tests
  * switch to python3 when building (Closes: #938548)
  * update libspice-server1.symbols
    (+SPICE_SERVER_0.14.2, +spice_qxl_set_device_info)
  * remove unneded --parallel option to debhelper
  * fix VCS fields to point to salsa

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 30 Aug 2019 13:54:00 +0300

spice (0.14.2-0ubuntu2) eoan; urgency=medium

  * Fixup autpkgtest (LP: #1834286)
    These changes will make the test able to run again, but not output mismatch
    errors (this matches the behavior before 0.14.2). Upstream discussion
    started on how to resolve that as a next step, more details at the LP bug.
    - d/t/automated-tests: spice-common moved into dir subprojects
    - d/t/automated-tests: option --enable-automated-tests now is always on"
    - d/t/automated-tests, d/t/control: make tests more debuggable by allowing
      stderr
    - d/t/control: install new test dependency python-pil
    - d/t/base_test.ppm, d/t/regression-test.py: provide test resources from
      upstream git not part of the released tarball anymore
    - d/source/include-binaries: allow binary base_test.ppm in package

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 25 Jun 2019 12:59:01 +0200

spice (0.14.2-0ubuntu1) eoan; urgency=medium

  * New upstream release
    Among many other fixes this will resolve (LP: #1814146)
    - d/p/disable-failing-test-listen.patch: disable new test that is
      unreliable in the build environment
    - d/patches: drop patches being upstream in 0.14.2
      + debian/patches/CVE-2017-12194-1.patch
      + debian/patches/CVE-2017-12194-2.patch
      + debian/patches/CVE-2017-12194-3.patch

